/************************************************************************/
/*									*/
/*			Jumbo LED Clock					*/
/*									*/
/*		Author: P. Dannegger					*/
/*			danni@specs.de					*/
/*									*/
/************************************************************************/
#include<interrupt.h>
#include<io.h>

typedef unsigned char  u8;
typedef   signed char  s8;
typedef unsigned short u16;
typedef   signed short s16;
typedef unsigned long  u32;
typedef   signed long  s32;


#define	XTAL	11059200UL		// 11.0592MHz

#define DISPORT	PORTA
#define DISDDR	DDRA

#define DIG0	PA7
#define DIG1	PA6
#define	DIG2	PA5
#define DIG3	PA4
#define DISCLK	PA3
#define DISDAT	PA2


#define	_A	0x08				//segment order
#define	_B	0x10
#define	_C	0x80
#define	_D	0x40
#define	_E	0x20
#define	_F	0x04
#define	_G	0x02
#define	_DP	0x01				//decimal point

#define	_0	( _A+_B+_C+_D+_E+_F    )	//number pattern
#define	_1	(    _B+_C             )
#define	_2	( _A+_B+   _D+_E+   _G )
#define	_3	( _A+_B+_C+_D+      _G )
#define	_4	(    _B+_C+      _F+_G )
#define	_5	( _A+   _C+_D+   _F+_G )
#define	_6	( _A+   _C+_D+_E+_F+_G )
#define	_7	( _A+_B+_C             )
#define	_8	( _A+_B+_C+_D+_E+_F+_G )
#define	_9	( _A+_B+_C+_D   +_F+_G )

